//###############################################################################################################################################
//
//	Meta and Builder Object Network V2.0 for GME
//	PrintDlg.cpp
//
//###############################################################################################################################################

/*
	Copyright (c) Vanderbilt University, 2000-2004
	ALL RIGHTS RESERVED

	Vanderbilt University disclaims all warranties with regard to this
	software, including all implied warranties of merchantability
	and fitness.  In no event shall Vanderbilt University be liable for
	any special, indirect or consequential damages or any damages
	whatsoever resulting from loss of use, data or profits, whether
	in an action of contract, negligence or other tortious action,
	arising out of or in connection with the use or performance of
	this software.
*/

#include "stdafx.h"
#include "Dialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//###############################################################################################################################################
//
// 	C L A S S : Dialog
//
//###############################################################################################################################################

Dialog::Dialog(CWnd* pParent /*=NULL*/)
	: CDialog(Dialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(Dialog)
	m_strValue = _T("");
	//}}AFX_DATA_INIT
}


void Dialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Dialog)
	DDX_Text(pDX, IDC_EDIT, m_strValue);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(Dialog, CDialog)
	//{{AFX_MSG_MAP(Dialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BOOL Dialog::OnInitDialog()
{
	CDialog::OnInitDialog();
	UpdateData(false);
	return TRUE;
}

void Dialog::OnOK()
{
	CDialog::OnOK();
}
